#include <MenuItem.h>
#include <fs_attr.h>
#include <Bitmap.h>
#include <NodeInfo.h>

#include "URL_MenuItem.h"

URL_MenuItem::URL_MenuItem(const char * a_label, BMessage * a_message, char a_shortcut,
										 uint32 a_modifiers, entry_ref * a_ref)
: BMenuItem(a_label, a_message, a_shortcut, a_modifiers),
	m_icon_bitmap	(NULL)
{
	m_icon_bitmap = new BBitmap(BRect(0,0,15,15), B_COLOR_8_BIT);
	if (! m_icon_bitmap)
		return;

	BNodeInfo	nodeinfo;
	nodeinfo.GetTrackerIcon(a_ref, m_icon_bitmap, B_MINI_ICON);
}

URL_MenuItem::~URL_MenuItem()
{
	delete m_icon_bitmap;

	return;
}

void 
URL_MenuItem::Highlight(bool a_isHi)
{
	BMenuItem::Highlight(a_isHi);
	
	// Antialiased text looks bad when highlighted.  
	// Don't know what to do about it.
	//DrawContent();

	return;
}

void 
URL_MenuItem::DrawContent()
{
	Menu()->SetDrawingMode(B_OP_OVER);
	
	BPoint point = ContentLocation();
	
	point.y -= 1;
	
	if (m_icon_bitmap)
		Menu()->DrawBitmap(m_icon_bitmap, point);
	
	BPoint str_loc;
	
	str_loc.x = point.x + 20;
	
	float width;
	float height;
	
	GetContentSize(&width, &height);
	
	str_loc.y = point.y + height - 3;
			
	Menu()->DrawString(Label(), str_loc);

	return;
}

/*
void 
URL_MenuItem::GetContentSize(float *width, float *height)
{
	width = 90;
	height = 90;
}
*/

